<?php

namespace Drupal\alternative_user_emails\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if a user's alternative emails are unique, considering primaries also.
 *
 * @Constraint(
 *   id = "AlternativeUserEmailsUnique",
 *   label = @Translation("Alternative user emails unique", context = "Validation")
 * )
 */
class AlternativeUserEmailsUnique extends Constraint {

  /**
   * {@inheritdoc}
   */
  public $message = 'The alternative email address %value is already associated with another user account.';

  /**
   * {@inheritdoc}
   */
  public function validatedBy() {
    return '\Drupal\alternative_user_emails\Plugin\Validation\Constraint\AlternativeUserEmailsValidator';
  }

}
